OE 2.5 certificate verification error

  • Using last OE 2.5 image at dm7080. I am using the NetAtmo plugin to get the information of my local netatmo weatherstations at my screen. This plugin is working good in OE 2.2. To get the information, you have to login at a "netatmoserver" with a username and password. In OE 2.5 I am not able to get connection with the server, due to a certificate verification problem. FYI: of course I entered the right login and password. At the "ihad forum", I posted a message about this issue and the answer was that it might be a certificate verification error, which DMM should be able to fix. Part of the E2 log:

    So question is, if this can be fixed.

  • Die bessere Lösung wäre ein update von python27


    Ab der 2.7.12 ist das bereits in der ssl.py gefixt!


  • Na ja ich hatte das Problem im EPGTranslatorLite Plugin auch, da hat das in der plugin.py für Ruhe gesorgt und so funktioniert es jetzt mit alt und neu:


  • Ab der 2.7.12 ist das bereits in der ssl.py gefixt!

    Die Lösung von gutemine scheint mir da sinnvoller, da eine Umgebungsvariable sich auf den gesamten Prozess auswirkt. Somit kann ein Plugin, das diese Variable setzt, SSL für andere Plugins kaputt machen, die Wert auf die Überprüfung von Zertifkaten legen.

  • stimmt auch wieder, und wenn eine Lösung gar nicht von mir ist dann könnte man dies auch als Qualitätskriterium ansehen ^^

  • Die Lösung von gutemine scheint mir da sinnvoller, da eine Umgebungsvariable sich auf den gesamten Prozess auswirkt. Somit kann ein Plugin, das diese Variable setzt, SSL für andere Plugins kaputt machen, die Wert auf die Überprüfung von Zertifkaten legen.

    Das sehe ich anders!
    Der enigma2 python Prozess wirkt sich ja auch auf alle plugins und das komplette System aus - und wenn ein plugin so einen Code enthält, ist das keine konstruktive Lösung!


    Angenommen gutemines plugin und meines sind beide auf einer box installiert und gutemine hat den Code so in seinem plugin, dann funktioniert mein plugin auch. Ist gutemines plugin nicht auf der box, funktioniert mein plugin auch nicht mehr - obwohl unsere Plugins in allen älteren Versionen von Enigma2 koexistieren können ohne sich zu beeinflussen!